Retrieves a paginated list of products.
GET/api/v2/public/products
Retrieves a paginated list of products.
Query Parameters
Page_Size: optional string
The number of items per page.
Page_Start: optional string
The starting page index for pagination.
product_number: optional array of string
Optional array of product numbers to filter by.
Returns
page_number: optional number
Current page number (1-based).
formatint64
page_size: optional number
Maximum number of records returned per page.
formatint64
total_record_count: optional number
Total number of records matching the query across all pages.
formatint64
Retrieves a paginated list of products.
curl https://api.colleqtive.net/api/v2/public/products \
-H "Authorization: $COLLEQTIVE_BEARER_TOKEN"{
"page_number": 1,
"page_size": 50,
"records": [
{
"barcode": "barcode",
"product_name": "Organic Milk 1L",
"product_number": "PRD-001",
"allow_decimal": true,
"attention_code": "attention_code",
"average_weight": 0,
"barcodes_array": "barcodes_array",
"base_unit_name": "base_unit_name",
"brand_code": "brand_code",
"brand_description": "brand_description",
"carrier_item_quantity": 0,
"category_code": "category_code",
"color": "color",
"color_code": "color_code",
"countries_allowed": [
"string"
],
"countries_not_allowed": [
"string"
],
"country_code": "country_code",
"deprecation_date": "2019-12-27T18:11:19.117Z",
"edit_min_max_percentage": 0,
"expiration_min_range": 0,
"free_fields": [
{
"key": "key",
"sort_order": 0,
"value": "value"
}
],
"general_ledger": "general_ledger",
"image_url": "image_url",
"is_active": true,
"is_counted": true,
"is_edit_min_max": true,
"is_edit_replenishment": true,
"is_expiration": true,
"is_order_manually": true,
"is_promotion": true,
"is_set": true,
"is_stock": true,
"is_store_product": true,
"is_template": true,
"margin_category": "margin_category",
"moq": 0,
"old_price": 0,
"price": 0,
"price_compare_multiplier": 0,
"price_compare_unit": "price_compare_unit",
"price_lines": "price_lines",
"product_details": "product_details",
"product_type": "product_type",
"product_url": "product_url",
"promo_stores_allowed": [
"string"
],
"promo_stores_not_allowed": [
"string"
],
"promotion": "promotion",
"promotion_week": "promotion_week",
"purchase_price": 0,
"purchase_unit_barcode": "purchase_unit_barcode",
"purchase_unit_name": "purchase_unit_name",
"purchase_unit_product_number": "purchase_unit_product_number",
"purchase_unit_quantity": 0,
"referral_product_id": "referral_product_id",
"reset_store_stock": true,
"set_product": [
{
"set_item_quantity": "set_item_quantity",
"set_product_number": "set_product_number"
}
],
"shelf_label": true,
"shelf_label_barcode": true,
"shelf_label_layout": 0,
"shelf_label_price": true,
"shelf_label_quantity": 0,
"size": "size",
"size_code": "size_code",
"smallest_product_number": "smallest_product_number",
"smallest_quantity": 0,
"special_price": 0,
"stores_allowed": [
"string"
],
"stores_not_allowed": [
"string"
],
"supplier_id": "supplier_id",
"supplier_name": "supplier_name",
"supplier_product_number": "supplier_product_number",
"units": [
{
"unit_barcode": "unit_barcode",
"unit_name": "unit_name",
"unit_quantity": 0
}
],
"variant_code": "variant_code",
"variant_factor": 0,
"variant_family": "variant_family",
"volume": "volume"
}
],
"total_record_count": 230
}Returns Examples
{
"page_number": 1,
"page_size": 50,
"records": [
{
"barcode": "barcode",
"product_name": "Organic Milk 1L",
"product_number": "PRD-001",
"allow_decimal": true,
"attention_code": "attention_code",
"average_weight": 0,
"barcodes_array": "barcodes_array",
"base_unit_name": "base_unit_name",
"brand_code": "brand_code",
"brand_description": "brand_description",
"carrier_item_quantity": 0,
"category_code": "category_code",
"color": "color",
"color_code": "color_code",
"countries_allowed": [
"string"
],
"countries_not_allowed": [
"string"
],
"country_code": "country_code",
"deprecation_date": "2019-12-27T18:11:19.117Z",
"edit_min_max_percentage": 0,
"expiration_min_range": 0,
"free_fields": [
{
"key": "key",
"sort_order": 0,
"value": "value"
}
],
"general_ledger": "general_ledger",
"image_url": "image_url",
"is_active": true,
"is_counted": true,
"is_edit_min_max": true,
"is_edit_replenishment": true,
"is_expiration": true,
"is_order_manually": true,
"is_promotion": true,
"is_set": true,
"is_stock": true,
"is_store_product": true,
"is_template": true,
"margin_category": "margin_category",
"moq": 0,
"old_price": 0,
"price": 0,
"price_compare_multiplier": 0,
"price_compare_unit": "price_compare_unit",
"price_lines": "price_lines",
"product_details": "product_details",
"product_type": "product_type",
"product_url": "product_url",
"promo_stores_allowed": [
"string"
],
"promo_stores_not_allowed": [
"string"
],
"promotion": "promotion",
"promotion_week": "promotion_week",
"purchase_price": 0,
"purchase_unit_barcode": "purchase_unit_barcode",
"purchase_unit_name": "purchase_unit_name",
"purchase_unit_product_number": "purchase_unit_product_number",
"purchase_unit_quantity": 0,
"referral_product_id": "referral_product_id",
"reset_store_stock": true,
"set_product": [
{
"set_item_quantity": "set_item_quantity",
"set_product_number": "set_product_number"
}
],
"shelf_label": true,
"shelf_label_barcode": true,
"shelf_label_layout": 0,
"shelf_label_price": true,
"shelf_label_quantity": 0,
"size": "size",
"size_code": "size_code",
"smallest_product_number": "smallest_product_number",
"smallest_quantity": 0,
"special_price": 0,
"stores_allowed": [
"string"
],
"stores_not_allowed": [
"string"
],
"supplier_id": "supplier_id",
"supplier_name": "supplier_name",
"supplier_product_number": "supplier_product_number",
"units": [
{
"unit_barcode": "unit_barcode",
"unit_name": "unit_name",
"unit_quantity": 0
}
],
"variant_code": "variant_code",
"variant_factor": 0,
"variant_family": "variant_family",
"volume": "volume"
}
],
"total_record_count": 230
}